Name:          arianna
Version:       24.01.75
Release:       1%{?dist}
Summary:       EPub Reader for mobile devices
# Complete license breakdown can be found in the "LICENSE-BREAKDOWN" file.
License:       GPLv3
URL:           https://invent.kde.org/graphics/%{name}

Source0:       http://download.kde.org/%{stable_kf5}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: qt6-qtbase-devel
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6WebSockets)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6WebEngineQuick)
BuildRequires: cmake(KF6Kirigami2)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6FileMetaData)
BuildRequires: cmake(KF6Archive)
BuildRequires: cmake(KF6KirigamiAddons)
BuildRequires: cmake(KF6QQC2DesktopStyle)
BuildRequires: cmake(KF6Baloo)
BuildRequires: cmake(KF6QuickCharts)
BuildRequires: reuse
BuildRequires: fdupes
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: cmake(Qt6HttpServer)

# QML module dependencies
Requires: kf6-kirigami2%{?_isa}
Requires: kf6-kirigami2-addons%{?_isa}
Requires: kf6-kquickcharts%{?_isa}
Requires: qt6-qtgraphicaleffects%{?_isa}
Requires: qt6-qtquickcontrols2%{?_isa}
Requires: qt6-qtwebchannel%{?_isa}
Requires: qt6-qtwebengine%{?_isa}

%if 0%{?fedora} || 0%{?epel} > 7
# handled by qt6-srpm-macros, which defines %%qt6_qtwebengine_arches
# Package doesn't build on arches that qtwebengine is not built on.
ExclusiveArch: %{qt6_qtwebengine_arches}
%endif

%description
An ebook reader and library management app


%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build
%fdupes

%install
%cmake_install
%find_lang %{name} --with-kde --with-man --all-name

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.kde.arianna.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/org.kde.arianna.appdata.xml

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_bindir}/arianna
%{_datadir}/applications/org.kde.arianna.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.kde.arianna.svg
%{_datadir}/metainfo/org.kde.arianna.appdata.xml
%{_datadir}/qlogging-categories6/arianna.categories

%changelog
* Tue Nov 21 2023 Steve Cossette <farchord@gmail.com> - 24.01.75-1
- 24.01.75

* Thu Oct 12 2023 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 23.08.2-1
- 23.08.2

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 11 2023 Steve Cossette <farchord@gmail.com> - 1.1.0-1
- This release adds a table of content overview as well as a book detail dialog.

* Mon May 29 2023 Steve Cossette <farchord@gmail.com> - 1.0.1-2
- Added more install dependancies
- Cleaned up the licensing text by moving the license breakdown to a separate file

* Sun May 21 2023 Steve Cossette <farchord@gmail.com> - 1.0.1-1
- Initial release
